before_script:
  - python -V                                               # Print out python version for debugging
  - export PYTHONWARNINGS="ignore:Unverified HTTPS request" # Suppress InsecureRequestWarning


stages:
    - "test"

.test:
    script:
       - pip install --quiet -r requirements.txt
       - python tests/fetch_config.py https://devxnat.barcelonabeta.org --xnat_user $XNAT_USER --xnat_password $XNAT_PASSWORD
       - export CI_TEST=0
       - pip install pathlib
       - pytest
       - coverage report -m
    coverage: '/TOTAL.+ ([0-9]{1,3}%)/'

test-3.9:
    extends: ".test"
    stage: "test"
    image: "python:3.9"

test-3.10:
    extends: ".test"
    stage: "test"
    image: "python:3.10"